Skip to main content
POST
/
products
/
reviews
/
bulk-update
Update Product Reviews
curl --request POST \
  --url https://services.leadconnectorhq.com/products/reviews/bulk-update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "location",
  "reviews": [
    {
      "reviewId": "6578278e879ad2646715ba9c",
      "productId": "6578278e879ad2646715ba9d",
      "storeId": "a1b2c3d4e5f6g7h8i9j0k1l2"
    }
  ],
  "status": "approved"
}
'
{
  "status": true,
  "message": "Successfully created"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
reviews
object[]
required

Array of Product Reviews

status
object
required

Status of the review

Example:

"approved"

Response

Successful response

status
boolean
required

Status of api action

Example:

true

message
string

Success message

Example:

"Successfully created"

Last modified on March 4, 2026